﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Windows;
using System.Windows.Controls.Primitives;
using System.Windows.Interop;

namespace Hardcodet.LiveWriter.ApplyCssPlugin
{
  public static class WinApi
  {
    /// <summary>
    /// Gives focus to a given window.
    /// </summary>
    /// <param name="hWnd"></param>
    /// <returns></returns>
    [DllImport("USER32.DLL")]
    public static extern bool SetForegroundWindow(IntPtr hWnd);


    public static void ActivatePopup(Popup popup)
    {
      //try to get a handle on the popup itself (via its child)
      HwndSource source = (HwndSource)PresentationSource.FromVisual(popup.Child);
      IntPtr handle = source.Handle;

      //activate the popup
      SetForegroundWindow(handle);
    }
  }
}
