﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Hardcodet.LiveWriter.QuickClassInsert
{
  public partial class ClassDefinitionDialog : Form
  {
    public string ClassName
    {
      get { return txtClassName.Text; }
      set { txtClassName.Text = value; }
    }

    public ClassDefinitionDialog()
    {
      InitializeComponent();
    }

    private void btnOk_Click(object sender, EventArgs e)
    {
      if (txtClassName.Text == String.Empty)
      {
        string msg = "A class name is required.";
        MessageBox.Show(this, msg, this.Text, MessageBoxButtons.OK, MessageBoxIcon.Warning);
      }
      else
      {
        DialogResult = DialogResult.OK;
      }
    }
  }
}
